Bug 79057 - [tulip] driver hangs ide system with Lite-on/Netgear FA-310
[tulip] driver hangs ide system with Lite-on/Netgear FA-310
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-05 01:29 EST by Andrew Gilmore
Modified: 2013-07-02 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Gilmore 2002-12-05 01:29:11 EST
Pentium 200, 32 mb ram, 2 gb hda, cdrom hdc

Redhat 8.0, stock kernel (2.4.18-14)

Card works fine in another Redhat 8 box with 2.4.18-17 or 2.4.18-18 kernel. May
be an already fixed bug? Will test.

Description of problem:
The message "Spurious 8259A interrupt: IRQ7" appears on the console,
then hda:lost interrupt every one to two seconds. If DMA is enabled, an
additional message about lostirq_func 13 only supported or some such.

Have twice seen "Unknown interrupt" instead and an immediate hang of the console.

Otherwise, "login" or other running console programs respond until they access
the disk, but ssh session that triggered bug is immediately hung. See below for
steps to reproduce.

Hardware:
lspci reports the card as 
00:0a.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)

Card appears to be labeled as a NetGear FA-310. Tulip module is definitely loaded.

Rest of the box is:
00:00.0 Host bridge: VIA Technologies, Inc. VT82C585VP [Apollo VP1/VPX] (rev
10)00:07.0 ISA bridge: VIA Technologies, Inc. VT82C586/A/B PCI-to-ISA [Apollo
VP] (rev 02)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586B PIPC Bus Master IDE (rev 02)
00:08.0 Communication controller: PCTel Inc HSP MicroModem 56 (rev 01)
00:0b.0 VGA compatible controller: Trident Microsystems TGUI 9660/938x/968x (rev d3)

Issues occur with or without the pctel modem, and also occur with a second
identical card in the box at the same time, or with the second card alone.

No problems appear when card is replaced by a 8139too card.

Note that the system is an Apollo VPX, has "VXtwo" labels on the chipset. I
googled several reports of issues with DMA on this chipset, but this problem
also occurs with DMA disabled.

Have been unable to reproduce this bug other than over ethernet.

Have also mucked with BIOS settings/timing/PnP OS, no change. 

How reproducible:
Always

Steps to Reproduce:
1. ssh into box over ethernet card in question
2. login works ok
3. hold down CR for a few seconds (3 to 15 key repeats)
4. message appears, and login is completely unresponsive

Bug filed after discussion on bug #75481.
Comment 1 Andrew Gilmore 2002-12-09 16:45:27 EST
Have confirmed that the same box with kernel 2.4.18-18 hangs during network
activity.

Machine is currently headless, so cannot confirm error messages. Trying to find
a way to check the console.

Andrew

Comment 2 Alan Cox 2002-12-09 18:27:10 EST
IRQ routing not IDE I suspect
Comment 3 Andrew Gilmore 2003-08-05 17:51:06 EDT
Any comments on how to confirm IRQ routing problem? I have a monitor on the
machine and can test.

Have upgraded machine to RH 9, have not tested for issue yet.
Comment 4 Bugzilla owner 2004-09-30 11:40:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.